@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: "Benguiat";
    src: url(fonts/Benguiat\ Bold.ttf);
}

html, body {
    overflow-x: hidden !important;
}

a {
    text-decoration: none;
    cursor: pointer;
}

a:active {
    opacity: .6;
}

body {
    background-color: #0c0102;
    color: rgba(255, 255, 255, 0.9);
    font-family: 'Poppins', sans-serif;
}

header {
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 4vw;
    position: absolute;
    z-index: 9;
}

section {
    width: 100%;
    display: flex;
    padding: 7vw;
}

ul {
    list-style-type: none;
}

a {
    text-decoration: none;
}

button {
    background-color: rgba(255, 255, 255, 0.145);
    color: white;
    font-size: 16px;
    display: flex;
    gap: 10px;
    border: none;
    outline: none;
    padding: 16px;
    border-bottom: 1px solid white;
    cursor: pointer;
    font-family: 'Poppins', sans-serif;
}

#preloader {
    width: 100%;
    height: 100vh;
    background-color: #0c0102;
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    svg {
        width: 40vw;
        height: auto;
    }
    path {
        fill: rgba(168, 19, 19, 0.419);
        stroke: rgb(168, 19, 19);
        stroke-dasharray: 1150;
        stroke-dashoffset: 1150;
    }
}

.hero {
    background-position: 50% 0%;
    background-size: cover;
    height: 100vh;
    align-items: center;
    justify-content: space-between;
    padding: 0 7vw 7vw 7vw;
    position: relative;
    picture {
        width: 100%;
        height: 100%;
        position: absolute;
        z-index: 1;
        left: 0;
        top: 0;
        img {
            width: 100%;
            height: 100%;
            object-fit: cover;
            position: absolute;
        }
    }
    .left, .right {
        z-index: 3;
    }
    .left {
        width: 30%;
        h3 {
            font-size: 2vw;
            font-weight: 400;
            letter-spacing: 4px;
        }
        h1 {
            font-size: 3.7vw;
            font-family: "Benguiat", sans-serif;
        }
    }
    .right {
        width: 30%;
        display: flex;
        flex-direction: column;
        align-items: end;
        p {
            font-size: 2vw;
            font-size: clamp(2vw, 2vw, 2vw);
            margin-bottom: 32px;
            text-align: end;
        }
    }
}

.hero::before {
    content: "";
    background: linear-gradient(180deg, rgba(12, 1, 2, 0.00) 60%, #0c0102 100%);
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 2;
    left: 0;
    top: 0;
}

.citySection {
    flex-direction: column;
    .title {
        margin-top: -100px;
        z-index: 12;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    .cards {
        z-index: 20;
        margin-top: 70px;
        display: flex;
        justify-content: space-between;
        .card {
            z-index: 20;
            background-image: url("images/card1.webp");
            width: 32%;
            aspect-ratio: 16/9;
            background-size: cover;
            background-position: center;
            display: flex;
            align-items: end;
            justify-content: space-between;
            padding: 20px;
            transition: transform 0.4s cubic-bezier(0.25, 0.46, 0.45, 0.94), filter 0.3s ease;
        }
        .card:hover {
            transform: scale(1.1);
            cursor: pointer;
        }
        .card:nth-child(2) {
            background-image: url("images/card2.webp");
        }
        .card:nth-child(3) {
            background-image: url("images/card3.webp");
        }
    }
}

.bgMonster {
    background: url("images/bgMonster.webp");
    background-position: center;
    background-size: cover;
    z-index: 2;
    position: relative;
    background-color: #0c0102;
}

.bgMonster::before {
    content: "";
    background-image: linear-gradient(to bottom, #0c0102, rgba(12, 1, 2, 0.00) 90%);
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 1;
    left: 0;
    top: 0;
}

.sectionTestimonials {
    flex-direction: column;
    .logos {
        display: flex;
        justify-content: space-between;
        align-items: end;
        z-index: 10;
    }
    .testimonials {
        z-index: 100;
        margin-top: 62px;
        display: flex;
        justify-content: space-between;
        .testimonal {
            width: 30%
        }
    }
}

.sectionThanks {
    flex-direction: column;
    align-items: center;
    position: relative;
    z-index: 2;
    background-color: #060101;
    .scrollContainer {
        width: max-content;
    }
    .scrollContent {
        display: flex;
        gap: 3vw;
        margin-top: 20px;
    }
    .scrollContent:nth-child(2), .scrollContent:nth-child(3) {
        display: none;
    }
}

footer {
    width: 100%;
    display: flex;
    flex-direction: column;
    background: url("images/bg-footer.webp");
    background-position: center;
    background-size: cover;
    .bgFooter {
        background-position: center;
        background-size: cover;
        position: absolute;
        z-index: -2;
    }
    .footerContent {
        display: flex;
        width: 100%;
        padding: 7vw;
        .footerLogo {
            width: 30%;
            h3 {
                font-size: 24px;
                font-weight: 400;
                letter-spacing: 4px;
            }
            h2 {
                font-size: 3.7vw;
                font-family: "Benguiat", sans-serif;
            }
        }
    }
    .footerSections {
        display: flex;
        flex: 1;
        justify-content: end;
        gap: 6%;
        align-items: end;
        h3 {
            font-size: 18px;
            font-weight: 500;
            margin-bottom: 12px;
        }
    }
    .socials {
        ul {
            flex-direction: row;
            gap: 12px;
            display: flex;
        }
    }
    .footerLogos {
        width: 100%;
        display: flex;
        justify-content: space-between;
        padding: 0 4vw;
    }
    .infiniteText {
        display: flex;
        width: max-content;
        justify-content: end;
        align-items: end;
        h3 {
            color: rgb(191, 191, 191);
            font-size: 12vw;
            font-family: 'Benguiat', sans-serif;
            mix-blend-mode: color-dodge;
            animation: infiniteText 10s infinite linear;
            padding-left: 8vw;
        }
    }
}

@keyframes infiniteText {
    100% {
        transform: translateX(-100%);
    }
}

@media (max-width: 1500px) {
    .city-section {
        padding: 4vw;
    }
}


/* MEDIA QUERY PARA TABLET */

@media (min-width: 601px) and (max-width: 1400px) {
    .left, .right {
        position: relative;
        top: -90px;
    }
    .city-section .cards .card {
        flex-direction: column;
    }
}

@media (max-width: 850px) {
    footer {
        padding-top: 40px;
        background-position: 80%;
        .footerContent {
            margin-top: 20vw;
            padding: 4vw;
            flex-direction: column;
            .footerLogo {
                width: 100%;
                h2, h3 {
                    text-align: center;
                }
                h2 {
                    font-size: 12vw;
                }
            }
            .footerSections {
                flex-wrap: wrap;
                justify-content: center;
                align-items: start;
                margin: 10px;
                .institutional {
                    width: 40%;
                }
                .socials {
                    width: 100%;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    flex-direction: column;
                    margin: 40px 0 32px;
                }
                .partner {
                    display: flex;
                    flex-direction: column;
                    width: 50%;
                    margin-bottom: 20px;
                    img {
                        width: 100%;
                    }
                    h3 {
                        justify-content: end;
                        font-size: 3vw;
                    }
                }
            }
            .infiniteText {
                h3 {
                    font-size: 12px;
                }
            }
        }
    }
}


/* MEDIA QUERY PARA CELULAR */

@media (max-width: 600px) {
    #preloader svg {
        width: 80vw;
    }
    section {
        padding: 4vw;
    }
    h2 {
        font-size: 6vw;
    }
    header h2 {
        font-size: 28px;
    }
    .hero {
        padding: 26% 4vw 0;
        flex-direction: column;
        .left, .right {
            width: 100%;
        }
        .left {
            margin-top: 10vw;
            h3, h1 {
                text-align: center;
            }
            h1 {
                font-size: 12vw
            }
            h3 {
                font-size: 6vw;
            }
        }
        .right {
            margin-bottom: 40vw;
            p {
                font-size: 5.5vw;
                margin-bottom: 16px;
                text-align: center;
            }
        }
    }
    .citySection {
        margin-top: 40px;
        button {
            display: none;
        }
        .cards {
            margin-top: 20px;
            flex-direction: column;
            gap: 20px;
        }
        .cards .card {
            display: flex;
            flex-direction: row;
            width: 100%;
            padding: 20px;
        }
        .cards .card:nth-child(2) p {
            width: 100%;
            text-align: end;
        }
    }
    .sectionTestimonials {
        .logos {
            img:nth-child(1), img:nth-child(3) {
                width: 20%;
            }
            img:nth-child(2) {
                width: 40%;
            }
        }
        .testimonials {
            display: flex;
            flex-direction: column;
            gap: 48px;
            .testimonial {
                width: 100%;
            }
        }
    }
    .sectionThanks {
        width: 100%;
        overflow: hidden;
        h2 {
            text-align: center;
        }
        .scrollContainer {
            display: flex;
            flex-direction: row;
            width: max-content;
            margin: 10px 10px;
            align-items: end;
            justify-content: center;
        }
        .scrollContainer::before {
            content: attr(scrollContainer);
        }
        .scrollContainer::after {
            content: attr(scrollContainer);
        }
        .scrollContent:nth-child(1), .scrollContent:nth-child(2), .scrollContent:nth-child(3) {
            margin: 15px;
            gap: 20px;
            width: 100%;
            align-items: end;
            justify-content: center;
            display: flex;
        }
        .scrollContent:nth-child(2), .scrollContent:nth-child(3) {
            display: flex;
        }
        ul {
            width: max-content;
            animation: cityAnimation 7s linear infinite;
        }
    }
    @keyframes cityAnimation {
        0% {
            transform: translateX(0%);
        }
        100% {
            transform: translateX(-120%)
        }
    }
    footer {
        padding-top: 40px;
        background-position: 80%;
        .footerContent {
            margin-top: 20vw;
            padding: 4vw;
            flex-direction: column;
            .footerLogo {
                width: 100%;
                h2, h3 {
                    text-align: center;
                }
                h2 {
                    font-size: 12vw;
                }
            }
            .footerSections {
                flex-wrap: wrap;
                justify-content: center;
                align-items: start;
                margin: 10px;
                .institutional {
                    width: 40%;
                }
                .socials {
                    width: 100%;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    flex-direction: column;
                    margin: 40px 0 32px;
                }
                .partner {
                    display: flex;
                    flex-direction: column;
                    width: 50%;
                    margin-bottom: 20px;
                    img {
                        width: 100%;
                    }
                    h3 {
                        justify-content: end;
                        font-size: 3vw;
                    }
                }
            }
            .infiniteText {
                h3 {
                    font-size: 12px;
                }
            }
        }
    }
}